%global binver	%(pkg-config gtk+-3.0 --variable=gtk_binary_version)

Summary:	Hangul input module for GTK+ 3.x
Name:		imhangul
Version:	3.1.1
Release:	%mkrel 5
License:	GPLv2+
Group:		System/Internationalization
URL:		http://code.google.com/p/imhangul/
Source0:	https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/imhangul/%{name}-%{version}.tar.bz2
BuildRequires:	gtk+3.0-devel
BuildRequires:	pkgconfig(libhangul) >= 0.0.10
Requires:	locales-ko

%description
Hangul input module for GTK+ 3.x

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-gtk-im-module-dir=%{_libdir}/gtk-3.0/%{binver}/immodules/
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang im-hangul-3.0

%files -f im-hangul-3.0.lang
%doc AUTHORS ChangeLog NEWS README gtkrc
%license COPYING
%{_libdir}/gtk-3.0/%{binver}/immodules/*.so


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 3.1.1-5.mga8
+ Revision: 1523584
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 10 2019 wally <wally> 3.1.1-4.mga7
+ Revision: 1373740
- fix immodules dir
- drop unneeded post/preun requires

* Sun Sep 23 2018 umeabot <umeabot> 3.1.1-3.mga7
+ Revision: 1298291
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 3.1.1-2.mga7
+ Revision: 1238736
- fix build on aarch64

* Tue Apr 03 2018 kekepower <kekepower> 3.1.1-1.mga7
+ Revision: 1214820
- Update to version 3.1.1

* Sat Feb 06 2016 umeabot <umeabot> 3.1.0-7.mga6
+ Revision: 940183
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-6.mga5
+ Revision: 744813
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.0-5.mga5
+ Revision: 680492
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 colin <colin> 3.1.0-4.mga5
+ Revision: 654754
- Drop RPM scripts for immodules (handled by filetriggers)

* Fri Oct 18 2013 umeabot <umeabot> 3.1.0-3.mga4
+ Revision: 506049
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-2.mga3
+ Revision: 354325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 fwang <fwang> 3.1.0-1.mga2
+ Revision: 199351
- new version 3.1.0

* Mon Oct 31 2011 fwang <fwang> 3.0.0-2.mga2
+ Revision: 160319
- rebuild for new libhangul

* Sun Jul 17 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 125187
- new version 3.0.0

* Thu May 05 2011 misc <misc> 0.9.15-3.mga1
+ Revision: 95142
- fix file based Requires
- update license
- remove version of gtk requirement, as it will be fullfilled by everything supported

* Mon Mar 28 2011 steletch <steletch> 0.9.15-2.mga1
+ Revision: 78569
- Clean spec file
- imported package imhangul


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.15-2mdv2011.0
+ Revision: 611182
- rebuild

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.9.15-1mdv2010.1
+ Revision: 475300
- new version 0.9.15

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.9.13-6mdv2010.0
+ Revision: 429505
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.9.13-5mdv2009.0
+ Revision: 247219
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 0.9.13-3mdv2008.1
+ Revision: 131821
- fix prereq
- kill re-definition of %%buildroot on Pixel's request
- import imhangul


* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.13-2mdk
- fix build on x86_64

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.13-1mdk
- new release

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.11-1mdk
- new release
- fix csh script (#12193)

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.10-1mdk
- new release

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.9-3mdk
- biarch support

* Sat Feb 14 2004 Abel Cheung <deaddog@deaddog.org> 0.9.9-2mdk
- Requires locales-ko

* Sun Feb 08 2004 Abel Cheung <deaddog@deaddog.org> 0.9.9-1mdk
- New version
- Set GTK_IM_MODULES only for korean locales
- Mark startup scripts as config

* Wed Dec 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- from Nicolas Fatoux <nicolas.fatoux@laposte.nt> :
	- mdk adaptation

* Sun Nov 23 2003 Young-Ho,Cha <ganadist@chollian.net> 
- update 0.9.8

* Tue Oct 21 2003 Young-Ho,Cha <ganadist@chollian.net>
- update 0.9.7

* Mon Mar 31 2003 Young-Ho,Cha <ganadist@chollian.net>
- update 0.9.6
- GTK_IM_MODULE default value set hangul2

* Wed Jan 15 2003 Young-Ho,Cha <ganadist@chollian.net>
- update 0.9.5
- rename profile scripts

* Wed Nov 13 2002 Young-Ho,Cha <ganadist@chollian.net>
- remove '=' symbol in csh profile script

* Tue Nov 12 2002 Young-Ho,Cha <ganadist@chollian.net>
- update 0.9.4

* Sat Oct 12 2002 Young-Ho,Cha <ganadist@chollian.net>
- update 0.9.3

* Thu Oct 10 2002 Young-Ho,Cha <ganadist@chollian.net>
- change scripts to work properly

* Wed Sep 11 2002 Young-Ho,Cha <ganadist@chollian.net>
- update 0.9.2

* Mon Aug 19 2002 Young-Ho,Cha <ganadist@chollian.net>
- update 0.9.1

* Fri Aug 16 2002 Young-Ho,Cha <ganadist@chollian.net>
- use macros
- add profile scripts

* Mon Jul 22 2002 Lee, Kwan-hong <sorcerer@jerimo.org>
- Make RPM package
